<?php
/**
 * @author	Andrey Chesnakov
 * @link	https://clayrabbit.ru
 */

class ModelExtensionModuleProductChangeLog extends Controller {

    const FILE = __FILE__;
    
    private $route;
    private $name;

    public function __construct($registry)
    {
        parent::__construct($registry);
        
        $this->type = basename(dirname($this::FILE));
        
        if ((float)VERSION >= 3) {
            $this->route = $this->type . '/' . basename($this::FILE, '.php');
            $this->name = str_replace("/", "_", $this->route);
        } else {
            $this->name = basename($this::FILE, '.php');
            $this->route = $this->type . '/' . $this->name;
        }
        
        if ((float)VERSION >= 2) {
            $this->route = "extension/" . $this->route;
        }
    }        

    public function addEntry($data) {
        /*$this->db->query("INSERT INTO `" . DB_PREFIX . "product_change_log` SET
          `date_added` = NOW(),
          `product_id` = " . (int)$data['product_id'] . ",
          `user_id` = " . (int)$this->user->getId() . ",
          `username` = '" . $this->db->escape($this->user->getUserName()) . "',
          `route` = '" . $this->db->escape($this->request->get['route']) . "',
          `ip` = '" . $this->db->escape($this->request->server['REMOTE_ADDR']) . "',
          `info` = '" . $this->db->escape(json_encode($data['info'], JSON_UNESCAPED_UNICODE)) . "'");
         */
        $this->db->query("INSERT INTO `" . DB_PREFIX . "product_change_log`
            (`date_added`, `product_id`, `product_name`, `user_id`, `username`, `route`, `ip`, `info`)
            SELECT NOW(), pd.product_id, pd.name, " . (int)$this->user->getId() . ",
                '" . $this->db->escape($this->user->getUserName()) . "',
                '" . $this->db->escape($this->request->get['route']) . "',
                '" . $this->db->escape($this->request->server['REMOTE_ADDR']) . "',
                '" . $this->db->escape(json_encode($data['info'], JSON_UNESCAPED_UNICODE)) . "'
            FROM " . DB_PREFIX . "product_description pd
            WHERE pd.product_id = " . (int)$data['product_id'] . " AND pd.language_id = " . (int)$this->config->get($this->name . '_language'));
    }
}
